Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Cash Advance Authorizations


Using the cash advance feature, a cardholder can withdraw cash against their credit card account limit at their bank. The cardholder presents their credit card and identification to bank staff or uses the bank's card terminal to complete this transaction.

These card types support cash advance with credit card transactions in the US:

  • Discover (minimum transaction amount: 10.00 USD)
  • Mastercard
  • Visa

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "Cash Advance",    "transactionId": "uniqueValue1",    "partner": {      "thirdPartyCertificationNumber": "testTPCN"    }  },  "processingInformation": {    "authorizationOptions": {      "cashAdvanceIndicator": "true"    },    "commerceIndicator": "retail"  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "contact",    "terminalCapability": 4,    "terminalPinCapability": 6,    "emv": {      "tags": "5F3401019F3303E0F8C8950580800480009F370465B81A3A9F100706011203A0A0009F2608E9D097D1901E8AB99F36020002820218009C01009F1A0208409A032307259F02060000000007005F2A0208409F0306000000000000DF78083831393931303236DF791B322D30323436362D312D31432D5246492D303331332D342E332E62",      "cardSequenceNumber": "01"    },    "trackData": ";4761xxxxxxxxxxxx=251220111478549?",    "pinBlockEncodingFormat": 0,    "encryptedPin": "F509429A3C3FD201",    "encryptedKeySerialNumber": "FFFF1B1D140000200001"  },  "merchantInformation": {    "transactionLocalDateTime": "20230724085022"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6938891699856080004953/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6938891699856080004953"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6938891699856080004953/captures"    }  },  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue1"  },  "id": "6938891699856080004953",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "9900.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "188535",    "approvalCode": "831000",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "324704188535",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "6938891699856080004953",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-09-05T04:46:10Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.categoryCodeSet the value to 6010. This field is not required when merchant category code 6010 is configured in the merchant account. If sent, this field overrides the value in the merchant account.
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.emv.cardSequenceNumber—
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryMode—
pointOfSaleInformation.pinBlockEncodingFormat—
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.authorizationOptions.cashAdvanceIndicatorSet the value to true.
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.